<!-- $ao=Address::class -->
<!-- $o=System::class -->
@extends('layouts.app')

@section('htmlheader_title')
	Areafix/Filefix Message
@endsection

@section('content')
	<div class="row">
		<div class="col-12">
			<h1>Areafix/Filefix to {{ $o->name }} - {{ $zo->domain->name }}</h1>
		</div>
	</div>

	@includeWhen(session()->has('success'),'widgets.success',['msg'=>session()->get('success')])

	<form class="needs-validation" method="post" autocomplete="off" novalidate>
		@csrf

		<div class="row pt-0">
			<div class="col-3">
				<x-form.select name="to" icon="bi-robot" label="To" feedback="To name required" :value="($x=collect(config('fido.areafilefix')))->first()" :options="$x->map(fn($item)=>['id'=>$item,'value'=>$item])" required/>
			</div>

			<div class="offset-1 col-3">
				<x-form.select name="tftn_id" icon="bi-ui-radios" label="Uplink Address" feedback="Uplink address required" :value="($x=collect(config('fido.areafilefix')))->first()" :options="$o->akas->where('zone_id',$zo->id)->map(fn($item)=>['id'=>$item->id,'value'=>$item->ftn])" required/>
			</div>
		</div>

		<div class="row">
			<!-- SUBJECT -->
			<div class="col-3">
				<label for="subject" class="form-label">Subject</label>
				<div class="input-group has-validation">
					<span class="input-group-text @error('subject') is-invalid @enderror"><i class="bi bi-pass"></i></span>
					<input type="text" class="form-control" id="subject" placeholder="Areafix Password" name="subject" value="{{ old('subject',$ao->pass_fix) }}" required>
					<span class="invalid-feedback" role="alert">
						@error('subject')
							{{ $message }}
						@else
							Area/filefix password is required
						@enderror
					</span>
				</div>
			</div>

			<div class="offset-1 col-3">
				<x-form.select name="fftn_id" icon="bi-ui-radios" label="Our address" feedback="Our address required" :value="$ao->id" :options="$setup->system->akas->where('zone_id',$zo->id)->map(fn($item)=>['id'=>$item->id,'value'=>$item->ftn])" required/>
			</div>
		</div>

		<div class="row">
			<!-- Message -->
			<div class="col-12">
				<x-form.notes name="msg" label="Message" rows=10 placeholder="Message..." helper="Area/filefix commands are required"/>
			</div>
		</div>

		<div class="row">
			<div class="col-12">
				<button type="submit" class="btn btn-success" name="submit" value="send">Send</button>
			</div>
		</div>
	</form>
@endsection